Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
ubuntu_64bits [Le 16/07/2018, 15:34]
Dadu042 [Avantages et inconvénients] WL
ubuntu_64bits [Le 28/09/2018, 12:15] (Version actuelle)
L'Africain Nettoyage
Ligne 21: Ligne 21:
   * Consommation de mémoire vive légèrement augmentée. Ceci peut être pénalisant pour ceux qui n'ont que 1 Go de mémoire vive.   * Consommation de mémoire vive légèrement augmentée. Ceci peut être pénalisant pour ceux qui n'ont que 1 Go de mémoire vive.
  
-Pour plus d'​information,​ consultez cette page Wikipédia [[http://​fr.wikipedia.org/​wiki/​Processeur_64_bits|Processeur 64 bits]].+Pour plus d'​information,​ consultez cette page Wikipédia [[wpfr>Processeur_64_bits|Processeur 64 bits]].
  
-<​note>​Ubuntu 64 bits peut poser des problèmes de compatibilité,​ notamment avec certains logiciels propriétaires,​ souvent anciens et non-maintenus,​ et qui ne sont disponibles qu'en 32bits. Toutefois, il faut noter qu'une grande majorité de programmes 32bits pourront fonctionner sans problème grâce à une couche de compatibilité. 
  
-Cette couche de compatibilité n'est plus nécessaire à partir de Ubuntu 11.10 (voir [[:​oneiric#​sous_le_capot|ici]])</​note>​ 
 ===== Installation ===== ===== Installation =====
  
Ligne 63: Ligne 61:
 D'​ailleurs cette méthode n'est pas infaillible !</​note>​ D'​ailleurs cette méthode n'est pas infaillible !</​note>​
  
-=== Sous Ubuntu 12.04 === +Grâce au concept de multi-arch, on peut installer les dépendances 32 bits via une commande à entrer dans le terminal : 
- +
-Pour utiliser des programmes 32 bits sous Ubuntu 64 bits, il vous faut [[:​tutoriel:​comment_installer_un_paquet|installer]] les paquets : +
- +
-  * [[apt>​ia32-libs]],​ +
-  * [[apt>​linux32]] (paquet virtuel disponible à travers le paquet [[apt>​util-linux]]). +
- +
-Vous pouvez aussi [[:​tutoriel:​comment_installer_un_paquet|installer]]:​ +
- +
-  * [[apt>​ia32-libs-gtk]],​ ou [[apt>​|ia32-libs-kde]] , (en général inclus dans [[apt>​ia32-libs]]),​ +
-  * [[apt>​lib32asound2]]. +
- +
-=== À partir d'​Ubuntu 14.04 === +
-À partir de cette distribution Ubuntu, mettant en œuvre le concept de multi-arch, on peut installer les dépendances 32 bits via une commande à entrer dans le terminal : +
  
 <​code>​sudo dpkg --add-architecture i386</​code>​ <​code>​sudo dpkg --add-architecture i386</​code>​
Ligne 93: Ligne 78:
    
 exemple : **linux32 /​usr/​bin/​chromium-browser %U**  fera croire que votre Chromium est en 32 bits !!!</​note>​ exemple : **linux32 /​usr/​bin/​chromium-browser %U**  fera croire que votre Chromium est en 32 bits !!!</​note>​
- 
-<note important>​Depuis 12.04 Ubuntu utilise multiarch au lieu de ia32-libs pour la gestion des bibliothèques 32bits pour les systèmes 64bits. 
-Avec 14.04 (Trusty Tahr), le paquet ia32-libs n'​existe plus dans les dépôts de cette version. La commande suivante peut aider à résoudre un problème de dépendances<​code>​sudo dpkg --purge ia32-libs</​code></​note>​ 
  
 === Désinstallation === === Désinstallation ===
Ligne 108: Ligne 90:
   sudo dpkg -r [le nom du paquet à désinstaller]:​i386 (ou autre selon le message d'​erreur)   sudo dpkg -r [le nom du paquet à désinstaller]:​i386 (ou autre selon le message d'​erreur)
   ​   ​
-Puis installez le nouveau paquet, via la Logithèque Ubuntu, ou Synaptic, ou apt-get, ou aptitude.+Puis installez le nouveau paquet, via la Logithèque Ubuntu, ou Synaptic, ou apt, ou aptitude.
 </​note>  ​ </​note>  ​
 ===== Problèmes connus===== ===== Problèmes connus=====
  • ubuntu_64bits.txt
  • Dernière modification: Le 28/09/2018, 12:15
  • par L'Africain